Bug 93940

Summary: Web Inspector: Add delete button to FileSystemView
Product: WebKit Reporter: Taiju Tsuiki <tzik>
Component: Web Inspector (Deprecated)Assignee: Taiju Tsuiki <tzik>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, joepeck, keishi, kinuko, loislo, pfeldman, pmuellr, rik, timothy, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 91831, 94071    
Bug Blocks: 68203    
Attachments:
Description Flags
Patch
none
Patch
none
Patch vsevik: review+, webkit.review.bot: commit-queue-

Description Taiju Tsuiki 2012-08-14 01:08:28 PDT
Adding a status bar button to allow user to delete an entry.
Comment 1 Taiju Tsuiki 2012-08-15 00:33:06 PDT
Created attachment 158517 [details]
Patch
Comment 2 Taiju Tsuiki 2012-08-22 20:11:13 PDT
Created attachment 160074 [details]
Patch
Comment 3 Vsevolod Vlasov 2012-08-25 02:54:33 PDT
Comment on attachment 160074 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=160074&action=review

> Source/WebCore/inspector/front-end/FileSystemModel.js:277
> +            if (errorCode === 0)

if (!errorCode)

> Source/WebCore/inspector/front-end/FileSystemModel.js:289
> +        if (this._fileSystemsForOrigin[origin] &&

New line is not needed here.
Comment 4 Taiju Tsuiki 2012-08-26 21:24:25 PDT
Created attachment 160625 [details]
Patch
Comment 5 WebKit Review Bot 2012-08-27 12:26:51 PDT
Comment on attachment 160625 [details]
Patch

Rejecting attachment 160625 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Kit/chromium/third_party/yasm/source/patched-yasm --revision 134927 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
50>At revision 134927.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/13618303
Comment 6 Taiju Tsuiki 2012-08-27 23:30:56 PDT
Comment on attachment 160074 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=160074&action=review

Thanks!

>> Source/WebCore/inspector/front-end/FileSystemModel.js:277
>> +            if (errorCode === 0)
> 
> if (!errorCode)

Done

>> Source/WebCore/inspector/front-end/FileSystemModel.js:289
>> +        if (this._fileSystemsForOrigin[origin] &&
> 
> New line is not needed here.

Done
Comment 7 Kinuko Yasuda 2012-08-27 23:42:13 PDT
Committed r126847: <http://trac.webkit.org/changeset/126847>